import { HttpStatus, HttpException } from '@nestjs/common';
import { PerfilService } from './perfil.service';
import { Perfil } from './perfil.entity';
import { CreatePerfilDto } from './dto/create-perfil.dto';
import { UpdatePerfilDto } from './dto/update-perfil.dto';
export declare class PerfilController {
    private perfilService;
    constructor(perfilService: PerfilService);
    getPerfil(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                user: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    correo: string;
                    password: string;
                    nombre?: string;
                    apellido?: string;
                    token?: string;
                    imagen?: string;
                    telefono?: string;
                    updated_at_token: Date;
                    deleted_at?: Date;
                    perfil_id: number;
                    perfil: Perfil;
                    inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                    favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                    busquedas: import("../busquedas/busquedas.entity").Busquedas[];
                }[];
                id: number;
                nombre: string;
                deleted_at: Date;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getPerfilAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        }[];
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                user: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    correo: string;
                    password: string;
                    nombre?: string;
                    apellido?: string;
                    token?: string;
                    imagen?: string;
                    telefono?: string;
                    updated_at_token: Date;
                    deleted_at?: Date;
                    perfil_id: number;
                    perfil: Perfil;
                    inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                    favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                    busquedas: import("../busquedas/busquedas.entity").Busquedas[];
                }[];
                id: number;
                nombre: string;
                deleted_at: Date;
            }[];
            message: string;
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getPerfilById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        }[];
        id: number;
        nombre: string;
        deleted_at: Date;
    }>;
    createUser(newPerfil: CreatePerfilDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    updatePerfil(id: number, perfil: UpdatePerfilDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            user: {
                created_at: string;
                updated_at: string;
                id: number;
                correo: string;
                password: string;
                nombre?: string;
                apellido?: string;
                token?: string;
                imagen?: string;
                telefono?: string;
                updated_at_token: Date;
                deleted_at?: Date;
                perfil_id: number;
                perfil: Perfil;
                inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
                favoritos: import("../favoritos/favoritos.entity").Favoritos[];
                busquedas: import("../busquedas/busquedas.entity").Busquedas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    deletePerfil(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
